%define name gnome-find
%define version 1.0.2
%define release 6mdk

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	Gnome-find is a graphical find utility
BuildRoot: 	%{_tmppath}/%{name}-buildroot
URL: 		http://www.sourceforge.net/projects/gnome-find
Source: 	http://download.sourceforge.net/gnome-find/%{name}-%{version}.tar.bz2
Source1:	gnome-find-1.0.2-de.po.bz2
Patch:		gnome-find-1.0.2-grep_i.patch.bz2
Group: 		File tools
Requires: 	gtk+ >= 1.2.0 gnome-libs
License: 	GPL
BuildRequires: 	gtk+ >= 1.2.0 gnome-libs-devel libglade-devel

%description
Gnome-find is a gnome-based graphical find utility.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch
bzcat %SOURCE1 > po/de.po

%build

%configure
make

%install
%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/gnome-find"\
title="Gnome-Find"\
longtitle="File searching tool"\
needs="x11"\
icon="file_tools_section.png"\
section="System/File tools"
EOF
) 
%find_lang %name --with-gnome
%post
%{update_menus}

%postun
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr (-,root,root)
%{_bindir}/*
%{_datadir}/gnome-find/*
%{_libdir}/menu/*
%{_mandir}/man1/*

%_datadir/gnome/apps/Utilities/gnome-find.desktop

%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README TODO

%changelog
* Mon Feb 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-6mdk
- rebuild

* Mon Jan 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-5mdk
- rebuild

* Tue Jun  4 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-4mdk
- add a patch for a grep case sensitivity option
- update german translation
- find lang macro

* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.2-3mdk
- Fix menu entry
- Add missing file

* Thu Jul 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-2mdk
- rebuild

* Mon Feb 05 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.2-1mdk
- put a new and shiny package for general consumption.

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-3mdk 
- rebuild

* Fri Sep 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-2mdk
- menu
- added %lang

* Thu Jul 20 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 1.0.1-1mdk
- new version
- new macros
- big move for FHS compliance

* Fri Jun 30 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 0.6-1mdk
- first release for mandrake


